require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_PCRE_H)) {
    eval 'sub _PCRE_H () {1;}' unless defined(&_PCRE_H);
    eval 'sub PCRE_MAJOR () {5;}' unless defined(&PCRE_MAJOR);
    eval 'sub PCRE_MINOR () {0;}' unless defined(&PCRE_MINOR);
    eval 'sub PCRE_DATE () {13- &Sep-2004;}' unless defined(&PCRE_DATE);
    if(defined(&_WIN32)) {
	if(defined(&PCRE_DEFINITION)) {
	    if(defined(&DLL_EXPORT)) {
		eval 'sub PCRE_DATA_SCOPE () { &__declspec( &dllexport);}' unless defined(&PCRE_DATA_SCOPE);
	    }
	} else {
	    unless(defined(&PCRE_STATIC)) {
		eval 'sub PCRE_DATA_SCOPE () { &extern  &__declspec( &dllimport);}' unless defined(&PCRE_DATA_SCOPE);
	    }
	}
    }
    unless(defined(&PCRE_DATA_SCOPE)) {
	eval 'sub PCRE_DATA_SCOPE () { &extern;}' unless defined(&PCRE_DATA_SCOPE);
    }
    require 'stdlib.ph';
    if(defined(&__cplusplus)) {
    }
    eval 'sub PCRE_CASELESS () {0x1;}' unless defined(&PCRE_CASELESS);
    eval 'sub PCRE_MULTILINE () {0x2;}' unless defined(&PCRE_MULTILINE);
    eval 'sub PCRE_DOTALL () {0x4;}' unless defined(&PCRE_DOTALL);
    eval 'sub PCRE_EXTENDED () {0x8;}' unless defined(&PCRE_EXTENDED);
    eval 'sub PCRE_ANCHORED () {0x10;}' unless defined(&PCRE_ANCHORED);
    eval 'sub PCRE_DOLLAR_ENDONLY () {0x20;}' unless defined(&PCRE_DOLLAR_ENDONLY);
    eval 'sub PCRE_EXTRA () {0x40;}' unless defined(&PCRE_EXTRA);
    eval 'sub PCRE_NOTBOL () {0x80;}' unless defined(&PCRE_NOTBOL);
    eval 'sub PCRE_NOTEOL () {0x100;}' unless defined(&PCRE_NOTEOL);
    eval 'sub PCRE_UNGREEDY () {0x200;}' unless defined(&PCRE_UNGREEDY);
    eval 'sub PCRE_NOTEMPTY () {0x400;}' unless defined(&PCRE_NOTEMPTY);
    eval 'sub PCRE_UTF8 () {0x800;}' unless defined(&PCRE_UTF8);
    eval 'sub PCRE_NO_AUTO_CAPTURE () {0x1000;}' unless defined(&PCRE_NO_AUTO_CAPTURE);
    eval 'sub PCRE_NO_UTF8_CHECK () {0x2000;}' unless defined(&PCRE_NO_UTF8_CHECK);
    eval 'sub PCRE_AUTO_CALLOUT () {0x4000;}' unless defined(&PCRE_AUTO_CALLOUT);
    eval 'sub PCRE_PARTIAL () {0x8000;}' unless defined(&PCRE_PARTIAL);
    eval 'sub PCRE_ERROR_NOMATCH () {(-1);}' unless defined(&PCRE_ERROR_NOMATCH);
    eval 'sub PCRE_ERROR_NULL () {(-2);}' unless defined(&PCRE_ERROR_NULL);
    eval 'sub PCRE_ERROR_BADOPTION () {(-3);}' unless defined(&PCRE_ERROR_BADOPTION);
    eval 'sub PCRE_ERROR_BADMAGIC () {(-4);}' unless defined(&PCRE_ERROR_BADMAGIC);
    eval 'sub PCRE_ERROR_UNKNOWN_NODE () {(-5);}' unless defined(&PCRE_ERROR_UNKNOWN_NODE);
    eval 'sub PCRE_ERROR_NOMEMORY () {(-6);}' unless defined(&PCRE_ERROR_NOMEMORY);
    eval 'sub PCRE_ERROR_NOSUBSTRING () {(-7);}' unless defined(&PCRE_ERROR_NOSUBSTRING);
    eval 'sub PCRE_ERROR_MATCHLIMIT () {(-8);}' unless defined(&PCRE_ERROR_MATCHLIMIT);
    eval 'sub PCRE_ERROR_CALLOUT () {(-9);}' unless defined(&PCRE_ERROR_CALLOUT);
    eval 'sub PCRE_ERROR_BADUTF8 () {(-10);}' unless defined(&PCRE_ERROR_BADUTF8);
    eval 'sub PCRE_ERROR_BADUTF8_OFFSET () {(-11);}' unless defined(&PCRE_ERROR_BADUTF8_OFFSET);
    eval 'sub PCRE_ERROR_PARTIAL () {(-12);}' unless defined(&PCRE_ERROR_PARTIAL);
    eval 'sub PCRE_ERROR_BADPARTIAL () {(-13);}' unless defined(&PCRE_ERROR_BADPARTIAL);
    eval 'sub PCRE_ERROR_INTERNAL () {(-14);}' unless defined(&PCRE_ERROR_INTERNAL);
    eval 'sub PCRE_ERROR_BADCOUNT () {(-15);}' unless defined(&PCRE_ERROR_BADCOUNT);
    eval 'sub PCRE_INFO_OPTIONS () {0;}' unless defined(&PCRE_INFO_OPTIONS);
    eval 'sub PCRE_INFO_SIZE () {1;}' unless defined(&PCRE_INFO_SIZE);
    eval 'sub PCRE_INFO_CAPTURECOUNT () {2;}' unless defined(&PCRE_INFO_CAPTURECOUNT);
    eval 'sub PCRE_INFO_BACKREFMAX () {3;}' unless defined(&PCRE_INFO_BACKREFMAX);
    eval 'sub PCRE_INFO_FIRSTBYTE () {4;}' unless defined(&PCRE_INFO_FIRSTBYTE);
    eval 'sub PCRE_INFO_FIRSTCHAR () {4;}' unless defined(&PCRE_INFO_FIRSTCHAR);
    eval 'sub PCRE_INFO_FIRSTTABLE () {5;}' unless defined(&PCRE_INFO_FIRSTTABLE);
    eval 'sub PCRE_INFO_LASTLITERAL () {6;}' unless defined(&PCRE_INFO_LASTLITERAL);
    eval 'sub PCRE_INFO_NAMEENTRYSIZE () {7;}' unless defined(&PCRE_INFO_NAMEENTRYSIZE);
    eval 'sub PCRE_INFO_NAMECOUNT () {8;}' unless defined(&PCRE_INFO_NAMECOUNT);
    eval 'sub PCRE_INFO_NAMETABLE () {9;}' unless defined(&PCRE_INFO_NAMETABLE);
    eval 'sub PCRE_INFO_STUDYSIZE () {10;}' unless defined(&PCRE_INFO_STUDYSIZE);
    eval 'sub PCRE_INFO_DEFAULT_TABLES () {11;}' unless defined(&PCRE_INFO_DEFAULT_TABLES);
    eval 'sub PCRE_CONFIG_UTF8 () {0;}' unless defined(&PCRE_CONFIG_UTF8);
    eval 'sub PCRE_CONFIG_NEWLINE () {1;}' unless defined(&PCRE_CONFIG_NEWLINE);
    eval 'sub PCRE_CONFIG_LINK_SIZE () {2;}' unless defined(&PCRE_CONFIG_LINK_SIZE);
    eval 'sub PCRE_CONFIG_POSIX_MALLOC_THRESHOLD () {3;}' unless defined(&PCRE_CONFIG_POSIX_MALLOC_THRESHOLD);
    eval 'sub PCRE_CONFIG_MATCH_LIMIT () {4;}' unless defined(&PCRE_CONFIG_MATCH_LIMIT);
    eval 'sub PCRE_CONFIG_STACKRECURSE () {5;}' unless defined(&PCRE_CONFIG_STACKRECURSE);
    eval 'sub PCRE_CONFIG_UNICODE_PROPERTIES () {6;}' unless defined(&PCRE_CONFIG_UNICODE_PROPERTIES);
    eval 'sub PCRE_EXTRA_STUDY_DATA () {0x1;}' unless defined(&PCRE_EXTRA_STUDY_DATA);
    eval 'sub PCRE_EXTRA_MATCH_LIMIT () {0x2;}' unless defined(&PCRE_EXTRA_MATCH_LIMIT);
    eval 'sub PCRE_EXTRA_CALLOUT_DATA () {0x4;}' unless defined(&PCRE_EXTRA_CALLOUT_DATA);
    eval 'sub PCRE_EXTRA_TABLES () {0x8;}' unless defined(&PCRE_EXTRA_TABLES);
    unless(defined(&VPCOMPAT)) {
    } else {
    }
    if(defined(&__cplusplus)) {
    }
}
1;
